<?xml version="1.0" encoding="utf-8"?>
<com.google.android.flexbox.FlexboxLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:maxWidth="@dimen/im_message_bubble_max_width"
    app:alignContent="center"
    app:alignItems="baseline"
    app:flexDirection="row"
    app:flexWrap="wrap"
    app:justifyContent="flex_end">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="8dp"
        android:includeFontPadding="false"
        android:textColor="@color/color_FF1D2129"
        android:textSize="16sp"
        app:layout_flexGrow="1"
        tools:text="Mobile Game Game Mobile Mobile Game Game Mobile " />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_message_status"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="8dp">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF86909C"
            android:textSize="11sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="9:10" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_read_status"
            android:layout_width="15dp"
            android:layout_height="14dp"
            android:layout_marginStart="4dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@id/tv_time"
            app:layout_constraintStart_toEndOf="@id/tv_time"
            app:layout_constraintTop_toTopOf="@id/tv_time"
            app:srcCompat="@drawable/im_session_message_read_ic"
            tools:visibility="visible" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</com.google.android.flexbox.FlexboxLayout>